ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

PPC.Cond

# Documentation

data Cond Source #

Constructors

ALWAYS |
EQQ |
GE |
GEU |
GTT |
GU |
LE |
LEU |
LTT |
LU |
NE |

Instances

Eq Cond # |
Methods (==) :: Cond -> Cond -> Bool # (/=) :: Cond -> Cond -> Bool #

condNegate :: Cond -> Cond Source #

condUnsigned :: Cond -> Bool Source #

condToSigned :: Cond -> Cond Source #

condToUnsigned :: Cond -> Cond Source #